Subject: Re: [manet] #8 (dymo): HopCount and alternate metrics in AODVv2

From: "manet issue tracker" <[email-masked]>
Date: Tue, 23 Dec 2014 21:21:42 -0000

#8: HopCount and alternate metrics in AODVv2

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 On 11/30/2012 11:58 AM, Charles E. Perkins wrote:
 > As mentioned in previous email, enabling alternate metrics has been
 > a topic often discussed in the MANET working group.  There seems to
 > be wide recognition of the insufficiency of using !HopCount.  However,
 > the selection of "best" route can be tricky, because that depends
 > on the application.  Also, some considerations from
 > "draft-ietf-manet-olsrv2-metrics-rationale-01.txt" apply.
 >
 > If it is agreed that AODVv2 needs to enable specification for the
 > use of alternate routing metrics, there is a relatively straightforward
 > way to do it, as long as the purpose of doing so is also agreed as
 > above.
 > In the AODVv2 document, the main changes required are:
 > - include the following new section
 > - change discussion about !HopCount to instead refer to "Cost()"
 > - refer to a table of Metric Types (e.g., as in RFC 6551)
 > - use abstract functions "Cost()" and "!LoopFree()"
 > - allow for storage of multiple routes to the same destination
 >   but which allow the metric type to identify different next hops.

 On 11/30/2012 6:21 PM, Abdussalam Baryun wrote:

 > Regarding the suggested main changes required, as one was for possible
 > of having multi-next-hop per dest, I am thinking to add another
 > requirement;
 >
 > - All intermediate routers in the path to destination should have same
 >   metric type while forwarding packets to their nexthop, otherwise an
 >   error reported.

-- 
-------------------------------------+------------------------------
 Reporter:  [email-masked]    |       Owner:  Charlie Perkins
     Type:  enhancement              |      Status:  closed
 Priority:  major                    |   Milestone:
Component:  dymo                     |     Version:
 Severity:  Active WG Document       |  Resolution:  fixed
 Keywords:  route metric, hop count  |
-------------------------------------+------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/8#comment:2>
manet <http://tools.ietf.org/manet/>